## com.google.appengine.api.appidentity
Class AppIdentityService.GetAccessTokenResult

    java.lang.Object
      com.google.appengine.api.appidentity.AppIdentityService.GetAccessTokenResult

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  AppIdentityService

    public static class AppIdentityService.GetAccessTokenResult

extends java.lang.Object
implements java.io.Serializable

`AppIdentityService.GetAccessTokenResult` is returned by getAccessToken. It contains the access token and the expiration time for the token.

See Also:
  Serialized Form

Constructor Summary
`AppIdentityService.GetAccessTokenResult(java.lang.String accessToken, java.util.Date expirationTime)`

Method Summary
`java.lang.String` `getAccessToken()`
`java.util.Date` `getExpirationTime()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppIdentityService.GetAccessTokenResult

    public AppIdentityService.GetAccessTokenResult(java.lang.String accessToken,
                                                   java.util.Date expirationTime)

Method Detail

### getAccessToken

    public java.lang.String getAccessToken()

### getExpirationTime

    public java.util.Date getExpirationTime()